// Processing code to control
// led on ATtiny44 Hello Board
// Clicking mouse on window toggles LED
//
// Steven Chew
// 2021 Nov 28
//
// Modified by Mitalee Parikh
// 2021 Nov 29

import processing.serial.*;

Serial myPort;  // Create object from Serial class
int ledState = 0;  // start with led OFF
int r = 0;      // start with black (led OFF)
int g = 0;
int b = 0;

void setup() 
{
  size(200,200); //make our canvas 200 x 200 pixels big
  myPort = new Serial(this, "/dev/cu.usbserial-14310", 9600);
}

void draw() {
  background(255);    // set background to white
  fill(r,g,b);
  rect(25, 25, 150, 150);
}

void mouseReleased(){
  if (ledState == 0){
    ledState = 1;      // toggle led state
    r = 0;   // set fill color to black
    g = 0;
    b = 0;
    myPort.write('1');         //send a 1
    println("1");   
  } else {                           //otherwise
    ledState = 0;
    r = 255;            // set fill color to golden yellow
    g = 184;
    b = 28;
    myPort.write('0');          //send a 0
    println("0");
  }
}
